package ${domain}.module.wsys.req;

import org.hibernate.validator.constraints.Length;
import ${domain}.frame.base.BaseUpdateRequest;

import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotNull;

/**
 * VisitorResUpdateRequest - 应用资源关系更新
 *
 * @author wangbing
 * @version 0.0.1
 * @since 2020-06-25
 */
public class VisitorResUpdateRequest extends BaseUpdateRequest {

    /**
     * 主键.
     */
    @NotNull(message = "[id]主键不能为NULL")
    private Long id;

    /**
     * 应用主键.
     */
    @NotNull(message = "[appId]应用主键不能为NULL")
    private Long appId;

    /**
     * 应用码.
     */
    @NotBlank(message = "[appKey]应用码不能为空")
    @Length(min = 0, max = 50, message = "[appKey]应用码长度不合法(0-50)")
    private String appKey;

    /**
     * 资源主键.
     */
    @NotNull(message = "[resId]资源主键不能为NULL")
    private Long resId;

    /**
     * 资源代码.
     */
    @NotBlank(message = "[resCode]资源代码不能为空")
    @Length(min = 0, max = 50, message = "[resCode]资源代码长度不合法(0-50)")
    private String resCode;

    public Long getId() {
        return this.id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Long getAppId() {
        return this.appId;
    }

    public void setAppId(Long appId) {
        this.appId = appId;
    }

    public String getAppKey() {
        return this.appKey;
    }

    public void setAppKey(String appKey) {
        this.appKey = appKey;
    }

    public Long getResId() {
        return this.resId;
    }

    public void setResId(Long resId) {
        this.resId = resId;
    }

    public String getResCode() {
        return this.resCode;
    }

    public void setResCode(String resCode) {
        this.resCode = resCode;
    }
}
